ComplexDateData Struct Reference

## Data Fields

unsigned | flags
VALUE | nth
int | jd
int | df
VALUE | sf
int | of
double | sg
int | year
unsigned | pc

## Detailed Description

Definition at line 262 of file date_core.c.

## Field Documentation

int ComplexDateData::df

Definition at line 267 of file date_core.c.

Referenced by df_local_to_utc(), df_utc_to_local(), get_c_civil(), get_c_df(), get_c_time(), local_df(), local_jd(), m_ajd(), m_amjd(), m_df(), m_fr(), and old_to_new().

unsigned ComplexDateData::flags

Definition at line 264 of file date_core.c.

Referenced by clear_civil(), get_c_civil(), get_c_df(), get_c_jd(), and get_c_time().

int ComplexDateData::jd

Definition at line 266 of file date_core.c.

Referenced by c_civil_to_jd(), c_jd_to_civil(), date_s_jd(), get_c_civil(), get_c_jd(), get_s_jd(), jd_local_to_utc(), jd_utc_to_local(), local_jd(), m_jd(), m_julian_p(), m_real_jd(), m_real_local_jd(), m_yday(), old_to_new(), valid_civil_p(), valid_commercial_p(), valid_ordinal_p(), and valid_weeknum_p().

VALUE ComplexDateData::nth

Definition at line 265 of file date_core.c.

Referenced by c_virtual_sg(), d_lite_gc_mark(), date_s_civil(), date_s_commercial(), date_s_gregorian_leap_p(), date_s_jd(), date_s_julian_leap_p(), date_s_ordinal(), m_nth(), m_real_cwyear(), m_real_jd(), m_real_local_jd(), m_real_year(), valid_civil_sub(), valid_commercial_sub(), and valid_ordinal_sub().

int ComplexDateData::of

Definition at line 269 of file date_core.c.

Referenced by df_local_to_utc(), df_utc_to_local(), get_c_civil(), get_c_df(), get_c_jd(), get_c_time(), jd_local_to_utc(), jd_utc_to_local(), local_df(), local_jd(), m_of(), and set_of().

unsigned ComplexDateData::pc

Definition at line 285 of file date_core.c.

Referenced by clear_civil(), get_c_civil(), get_c_df(), get_c_jd(), get_c_time(), m_hour(), m_mday(), m_min(), m_mon(), m_pc(), and m_sec().

VALUE ComplexDateData::sf

Definition at line 268 of file date_core.c.

Referenced by d_lite_gc_mark(), m_ajd(), m_amjd(), m_fr(), m_sf(), and old_to_new().

double ComplexDateData::sg

Definition at line 271 of file date_core.c.

Referenced by c_commercial_to_jd(), c_ordinal_to_jd(), c_virtual_sg(), c_weeknum_to_jd(), date_s_civil(), date_s_commercial(), date_s_jd(), date_s_ordinal(), guess_style(), m_julian_p(), m_proleptic_gregorian_p(), m_proleptic_julian_p(), m_sg(), m_yday(), set_sg(), valid_civil_sub(), valid_commercial_sub(), and valid_ordinal_sub().

int ComplexDateData::year

Definition at line 276 of file date_core.c.

Referenced by clear_civil(), get_c_civil(), get_c_jd(), m_real_cwyear(), m_real_year(), and m_year().

The documentation for this struct was generated from the following file:

- ext/date/date_core.c